Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.kie.services.impl.bpmn2
Class DataServiceItemDefinitionHandler

    java.lang.Object
      org.drools.core.xml.BaseAbstractHandler
          org.jbpm.bpmn2.xml.ItemDefinitionHandler
              org.jbpm.kie.services.impl.bpmn2.DataServiceItemDefinitionHandler

All Implemented Interfaces:
  org.drools.core.xml.Handler

    @ApplicationScoped
    public class DataServiceItemDefinitionHandler

extends ItemDefinitionHandler

Field Summary

Fields inherited from class org.drools.core.xml.BaseAbstractHandler
`allowNesting, validParents, validPeers`

Constructor Summary
`DataServiceItemDefinitionHandler()`

Method Summary
`void` | `setRepository(ProcessDescriptionRepository repository)`
`void` | `setRepositoryHelper(ProcessDescRepoHelper repositoryHelper)`
`Object` | `start(String uri, String localName, Attributes attrs, org.drools.core.xml.ExtensibleXmlParser parser)`

Methods inherited from class org.jbpm.bpmn2.xml.ItemDefinitionHandler
`end, generateNodeFor`

Methods inherited from class org.drools.core.xml.BaseAbstractHandler
`allowNesting, emptyAttributeCheck, emptyContentCheck, getValidParents, getValidPeers`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.drools.core.xml.Handler
`allowNesting, getValidParents, getValidPeers`

Constructor Detail

### DataServiceItemDefinitionHandler

    public DataServiceItemDefinitionHandler()

Method Detail

### start

    public Object start(String uri,
                        String localName,
                        Attributes attrs,
                        org.drools.core.xml.ExtensibleXmlParser parser)
                 throws SAXException

  Specified by:
    `start` in interface `org.drools.core.xml.Handler`
  Overrides:
    `start` in class `ItemDefinitionHandler`
  Throws:
    `SAXException`

### setRepositoryHelper

    public void setRepositoryHelper(ProcessDescRepoHelper repositoryHelper)

### setRepository

    public void setRepository(ProcessDescriptionRepository repository)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.